RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Attributes | List of all members
DeltaVSoft.RCFProto.RcfProtoServer Class Reference

Serves up Protocol Buffer-based services to clients, over one or more server transports. More...

Inheritance diagram for DeltaVSoft.RCFProto.RcfProtoServer:

## Public Member Functions
void | BindService (Google.ProtocolBuffers.IService svc)
virtual void | Dispose ()
| RcfProtoServer ()
| RcfProtoServer (Endpoint endpoint)
void | Start ()
| Starts the RCFProto server. More...
void | Stop ()
| Stops the RCFProto server. More...
void | SetThreadPool (ThreadPool threadPoolPtr)
| Sets the thread pool the server will use. Thread pools can also be assigned to individual transports. More...
ThreadPool | GetThreadPool ()
| Returns the thread pool the server is using. More...
ServerTransport | AddEndpoint (Endpoint endpoint)
| Adds a transport endpoint to the server. More...
void | SetSupportedTransportProtocols (TransportProtocolList protocols)
| Sets the list of supported protocols the server supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed. Note that supported protocols can also be specified on a server transport, in which case the server transport setting overrides the server setting. More...
TransportProtocolList | GetSupportedTransportProtocols ()
| Returns the list of supported protocols for the server. More...
void | SetSessionTimeoutMs (uint sessionTimeoutMs)
| Sets the session timeout value, in milliseconds. Client connections that are idle for this amount of time will be dropped by the server. More...
uint | GetSessionTimeoutMs ()
| Returns the session timeout value, in milliseconds. More...
void | SetSessionHarvestingIntervalMs (uint sessionHarvestingIntervalMs)
| Sets the session harvesting interval, in milliseconds. This setting determines how often the server will scan for idle client connections. More...
uint | GetSessionHarvestingIntervalMs ()
| Returns the session harvesting interval, in milliseconds. More...
void | SetCertificate (Certificate certificatePtr)
| Sets the SSL certificate of the server. More...
Certificate | GetCertificate ()
| Gets the SSL certificate of the server. More...
void | SetOpenSslCipherSuite (string cipherSuite)
| Sets the OpenSSL cipher suite. Only applicable when OpenSSL is used as the SSL implementation. More...
string | GetOpenSslCipherSuite ()
| Gets the OpenSSL cipher suite. More...
void | SetCaCertificate (Certificate certificatePtr)
| Sets the SSL certificate authority of the server. More...
Certificate | GetCaCertificate ()
| Gets the SSL certificate authority of the server. More...
void | SetEnableSchannelCertificateValidation (string peerName)
| Sets the Schannel certificate validation setting. Only applicable when using Schannel as the SSL implementation. If this setting is non-empty, it will be used by Schannel to automatically validate peer certificates. More...
string | GetEnableSchannelCertificateValidation ()
| Gets the Schannel certificate validation setting. More...
void | SetSslImplementation (SslImplementation sslImplementation)
SslImplementation | GetSslImplementation ()
| Gets the SSL implementation of the server. More...

## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Serves up Protocol Buffer-based services to clients, over one or more server transports.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.RcfProtoServer.RcfProtoServer | ( |  | ) |

DeltaVSoft.RCFProto.RcfProtoServer.RcfProtoServer | ( | Endpoint | endpoint | ) |

## Member Function Documentation

ServerTransport DeltaVSoft.RCFProto.RcfProtoServer.AddEndpoint | ( | Endpoint | endpoint | ) |

Adds a transport endpoint to the server.

void DeltaVSoft.RCFProto.RcfProtoServer.BindService | ( | Google.ProtocolBuffers.IService | svc | ) |

virtual void DeltaVSoft.RCFProto.RcfProtoServer.Dispose | ( |  | ) |
| virtual

Certificate DeltaVSoft.RCFProto.RcfProtoServer.GetCaCertificate | ( |  | ) |

Gets the SSL certificate authority of the server.

Certificate DeltaVSoft.RCFProto.RcfProtoServer.GetCertificate | ( |  | ) |

Gets the SSL certificate of the server.

string DeltaVSoft.RCFProto.RcfProtoServer.GetEnableSchannelCertificateValidation | ( |  | ) |

Gets the Schannel certificate validation setting.

string DeltaVSoft.RCFProto.RcfProtoServer.GetOpenSslCipherSuite | ( |  | ) |

Gets the OpenSSL cipher suite.

uint DeltaVSoft.RCFProto.RcfProtoServer.GetSessionHarvestingIntervalMs | ( |  | ) |

Returns the session harvesting interval, in milliseconds.

uint DeltaVSoft.RCFProto.RcfProtoServer.GetSessionTimeoutMs | ( |  | ) |

Returns the session timeout value, in milliseconds.

SslImplementation DeltaVSoft.RCFProto.RcfProtoServer.GetSslImplementation | ( |  | ) |

Gets the SSL implementation of the server.

TransportProtocolList DeltaVSoft.RCFProto.RcfProtoServer.GetSupportedTransportProtocols | ( |  | ) |

Returns the list of supported protocols for the server.

ThreadPool DeltaVSoft.RCFProto.RcfProtoServer.GetThreadPool | ( |  | ) |

Returns the thread pool the server is using.

void DeltaVSoft.RCFProto.RcfProtoServer.SetCaCertificate | ( | Certificate | certificatePtr | ) |

Sets the SSL certificate authority of the server.

void DeltaVSoft.RCFProto.RcfProtoServer.SetCertificate | ( | Certificate | certificatePtr | ) |

Sets the SSL certificate of the server.

void DeltaVSoft.RCFProto.RcfProtoServer.SetEnableSchannelCertificateValidation | ( | string | peerName | ) |

Sets the Schannel certificate validation setting. Only applicable when using Schannel as the SSL implementation. If this setting is non-empty, it will be used by Schannel to automatically validate peer certificates.

void DeltaVSoft.RCFProto.RcfProtoServer.SetOpenSslCipherSuite | ( | string | cipherSuite | ) |

Sets the OpenSSL cipher suite. Only applicable when OpenSSL is used as the SSL implementation.

void DeltaVSoft.RCFProto.RcfProtoServer.SetSessionHarvestingIntervalMs | ( | uint | sessionHarvestingIntervalMs | ) |

Sets the session harvesting interval, in milliseconds. This setting determines how often the server will scan for idle client connections.

void DeltaVSoft.RCFProto.RcfProtoServer.SetSessionTimeoutMs | ( | uint | sessionTimeoutMs | ) |

Sets the session timeout value, in milliseconds. Client connections that are idle for this amount of time will be dropped by the server.

void DeltaVSoft.RCFProto.RcfProtoServer.SetSslImplementation | ( | SslImplementation | sslImplementation | ) |

void DeltaVSoft.RCFProto.RcfProtoServer.SetSupportedTransportProtocols | ( | TransportProtocolList | protocols | ) |

Sets the list of supported protocols the server supports. Clients that connect without using one of the supported protocols are dropped. If the list of supported protocols is empty, all protocols are allowed. Note that supported protocols can also be specified on a server transport, in which case the server transport setting overrides the server setting.

void DeltaVSoft.RCFProto.RcfProtoServer.SetThreadPool | ( | ThreadPool | threadPoolPtr | ) |

Sets the thread pool the server will use. Thread pools can also be assigned to individual transports.

void DeltaVSoft.RCFProto.RcfProtoServer.Start | ( |  | ) |

Starts the RCFProto server.

void DeltaVSoft.RCFProto.RcfProtoServer.Stop | ( |  | ) |

Stops the RCFProto server.

## Member Data Documentation

bool DeltaVSoft.RCFProto.RcfProtoServer.swigCMemOwn
| protected

The documentation for this class was generated from the following file:

- RcfProtoServer.cs